"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.QuoteSortBy = exports.QuoteRequestType = exports.Context = exports.Environment = void 0;
var Environment;
(function (Environment) {
    Environment["Development"] = "development";
    Environment["Staging"] = "staging";
    Environment["Production"] = "production";
})(Environment = exports.Environment || (exports.Environment = {}));
var Context;
(function (Context) {
    Context["Browser"] = "browser";
    Context["Extension"] = "extension";
    Context["Mobile"] = "mobile";
    Context["MobileAndroid"] = "mobile-android";
    Context["MobileIOS"] = "mobile-ios";
    Context["Payroll"] = "payroll";
})(Context = exports.Context || (exports.Context = {}));
var QuoteRequestType;
(function (QuoteRequestType) {
    QuoteRequestType["individual"] = "individual";
    QuoteRequestType["batch"] = "batch";
})(QuoteRequestType = exports.QuoteRequestType || (exports.QuoteRequestType = {}));
var QuoteSortBy;
(function (QuoteSortBy) {
    QuoteSortBy["none"] = "0";
    QuoteSortBy["reliability"] = "1";
    QuoteSortBy["price"] = "2";
})(QuoteSortBy = exports.QuoteSortBy || (exports.QuoteSortBy = {}));
