import { Logger } from '../Logger';
import { OnRampSdk } from '../OnRampSdk';
import { IProvider } from './IProvider';
export default class ProviderList {
    private readonly onRampSdk;
    private logger;
    private providers;
    register(provider: IProvider): void;
    constructor(onRampSdk: OnRampSdk, logger: Logger);
    get(providerId: string): IProvider;
}
