"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
require("reflect-metadata");
function SdkParam(options) {
    return function (target, propertyKey, parameterIndex) {
        const existingParams = Reflect.getOwnMetadata('design:sdkparams', target, propertyKey) || [];
        existingParams.push(Object.assign(Object.assign({}, options), { index: parameterIndex }));
        Reflect.defineMetadata('design:sdkparams', existingParams, target, propertyKey);
    };
}
exports.default = SdkParam;
