declare const _default: {
    OnRampSdk: {
        getActivationKeys: {
            parameters: any[];
        };
        setActivationKeys: {
            parameters: {
                required: boolean;
            }[];
        };
        createAxios: {
            parameters: any[];
        };
        regions: {
            parameters: any[];
        };
        orders: {
            parameters: any[];
        };
        reports: {
            parameters: {
                required: boolean;
            }[];
        };
        getRegionAxios: {
            parameters: any[];
        };
        getQuote: {
            parameters: any[];
        };
        getNetworks: {
            parameters: any[];
        };
        getNetworkDetails: {
            parameters: any[];
        };
        getVersion: {
            parameters: any[];
        };
        setLocale: {
            parameters: {
                required: boolean;
            }[];
        };
        getSignature: {
            parameters: any[];
        };
    };
    OrdersService: {
        getOrderIdFromCallback: {
            parameters: {
                required: boolean;
            }[];
        };
        getOrderFromCallback: {
            parameters: {
                required: boolean;
            }[];
        };
        getSellOrderFromCallback: {
            parameters: {
                required: boolean;
            }[];
        };
        getOrder: {
            parameters: {
                required: boolean;
            }[];
        };
        getSellOrder: {
            parameters: {
                required: boolean;
            }[];
        };
        submitApplePayOrder: {
            parameters: any[];
        };
        getProviders: {
            parameters: any[];
        };
        getProvider: {
            parameters: {
                required: boolean;
            }[];
        };
        getRecurringOrders: {
            parameters: any[];
        };
        getRecurringOrdersFromUrl: {
            parameters: any[];
        };
        addRedirectionListener: {
            parameters: any[];
        };
    };
    RegionsService: {
        reset: {
            parameters: {
                required: boolean;
            }[];
        };
        downloadCachedCountries: {
            parameters: any[];
        };
        init: {
            parameters: any[];
        };
        buildProviders: {
            parameters: any[];
        };
        getCacheId: {
            parameters: any[];
        };
        getCountryCache: {
            parameters: any[];
        };
        getCountries: {
            parameters: any[];
        };
        getSellCountries: {
            parameters: any[];
        };
        getPaymentMethods: {
            parameters: {
                required: boolean;
            }[];
        };
        getPaymentMethodsForCrypto: {
            parameters: {
                required: boolean;
            }[];
        };
        getSellPaymentMethodsForCrypto: {
            parameters: {
                required: boolean;
            }[];
        };
        getSellPaymentMethods: {
            parameters: {
                required: boolean;
            }[];
        };
        getPaymentMethod: {
            parameters: {
                required: boolean;
            }[];
        };
        getDefaultFiatCurrency: {
            parameters: {
                required: boolean;
            }[];
        };
        getDefaultFiatCurrencySync: {
            parameters: {
                required: boolean;
            }[];
        };
        getDefaultSellFiatCurrency: {
            parameters: {
                required: boolean;
            }[];
        };
        getDefaultSellFiatCurrencySync: {
            parameters: {
                required: boolean;
            }[];
        };
        getCryptoCurrencies: {
            parameters: {
                required: boolean;
            }[];
        };
        getNetworkDetails: {
            parameters: any[];
        };
        getSellCryptoCurrencies: {
            parameters: {
                required: boolean;
            }[];
        };
        getCryptoCurrenciesSync: {
            parameters: any[];
        };
        getSellCryptoCurrenciesSync: {
            parameters: any[];
        };
        getCryptoCurrency: {
            parameters: {
                required: boolean;
            }[];
        };
        getFiatCurrencies: {
            parameters: {
                required: boolean;
            }[];
        };
        getSellFiatCurrencies: {
            parameters: {
                required: boolean;
            }[];
        };
        getFiatCurrency: {
            parameters: {
                required: boolean;
            }[];
        };
        getProvidersWithoutAmountSync: {
            parameters: any[];
        };
        getLimits: {
            parameters: {
                required: boolean;
            }[];
        };
        getSellLimits: {
            parameters: {
                required: boolean;
            }[];
        };
        getQuotes: {
            parameters: {
                required: boolean;
            }[];
        };
        getQuotesWithoutCache: {
            parameters: {
                required: boolean;
            }[];
        };
        makeQuoteCall: {
            parameters: {
                required: boolean;
            }[];
        };
        getAllQuotesFromApi: {
            parameters: {
                required: boolean;
            }[];
        };
        getAllQuotesFromApiWithoutCache: {
            parameters: {
                required: boolean;
            }[];
        };
        getExchangeRateFromAPI: {
            parameters: any[];
        };
        getRankingDataFromApi: {
            parameters: any[];
        };
        getSellCustomActions: {
            parameters: {
                required: boolean;
            }[];
        };
        getCustomActions: {
            parameters: {
                required: boolean;
            }[];
        };
        getSellQuotes: {
            parameters: {
                required: boolean;
            }[];
        };
        getQuickAmounts: {
            parameters: any[];
        };
        standardizeQuote: {
            parameters: any[];
        };
        standardizeSellQuote: {
            parameters: any[];
        };
        getExchangeRate: {
            parameters: any[];
        };
        getSellExchangeRate: {
            parameters: any[];
        };
        getParameters: {
            parameters: any[];
        };
        getCustomOrderIdSeparator: {
            parameters: any[];
        };
        generateRandomId: {
            parameters: any[];
        };
        generateCustomOrderId: {
            parameters: any[];
        };
        generateRandomString: {
            parameters: any[];
        };
        getBuyUrl: {
            parameters: {
                required: boolean;
            }[];
        };
        getSellUrl: {
            parameters: {
                required: boolean;
            }[];
        };
        getBuyWidgetInformation: {
            parameters: any[];
        };
        getSellWidgetInformation: {
            parameters: any[];
        };
        getFiatAmountFromCryptoAmount: {
            parameters: any[];
        };
        getRedirectionUrl: {
            parameters: {
                required: boolean;
            }[];
        };
        getAllFiatCurrencies: {
            parameters: {
                required: boolean;
            }[];
        };
        getAllCryptoCurrencies: {
            parameters: {
                required: boolean;
            }[];
        };
        getLight: {
            parameters: {
                required: boolean;
            }[];
        };
    };
    ReportsService: {};
    Object: {};
};
export default _default;
