"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.default = {
    "OnRampSdk": {
        "getActivationKeys": {
            "parameters": []
        },
        "setActivationKeys": {
            "parameters": [
                {
                    "required": true
                }
            ]
        },
        "createAxios": {
            "parameters": []
        },
        "regions": {
            "parameters": []
        },
        "orders": {
            "parameters": []
        },
        "reports": {
            "parameters": [
                {
                    "required": true
                }
            ]
        },
        "getRegionAxios": {
            "parameters": []
        },
        "getQuote": {
            "parameters": []
        },
        "getNetworks": {
            "parameters": []
        },
        "getNetworkDetails": {
            "parameters": []
        },
        "getVersion": {
            "parameters": []
        },
        "setLocale": {
            "parameters": [
                {
                    "required": true
                }
            ]
        },
        "getSignature": {
            "parameters": []
        }
    },
    "OrdersService": {
        "getOrderIdFromCallback": {
            "parameters": [
                {
                    "required": true
                },
                {
                    "required": true
                }
            ]
        },
        "getOrderFromCallback": {
            "parameters": [
                {
                    "required": true
                },
                {
                    "required": true
                },
                {
                    "required": true
                }
            ]
        },
        "getSellOrderFromCallback": {
            "parameters": [
                {
                    "required": true
                },
                {
                    "required": true
                },
                {
                    "required": true
                }
            ]
        },
        "getOrder": {
            "parameters": [
                {
                    "required": true
                },
                {
                    "required": true
                }
            ]
        },
        "getSellOrder": {
            "parameters": [
                {
                    "required": true
                },
                {
                    "required": true
                }
            ]
        },
        "submitApplePayOrder": {
            "parameters": []
        },
        "getProviders": {
            "parameters": []
        },
        "getProvider": {
            "parameters": [
                {
                    "required": true
                }
            ]
        },
        "getRecurringOrders": {
            "parameters": []
        },
        "getRecurringOrdersFromUrl": {
            "parameters": []
        },
        "addRedirectionListener": {
            "parameters": []
        }
    },
    "RegionsService": {
        "reset": {
            "parameters": [
                {
                    "required": true
                }
            ]
        },
        "downloadCachedCountries": {
            "parameters": []
        },
        "init": {
            "parameters": []
        },
        "buildProviders": {
            "parameters": []
        },
        "getCacheId": {
            "parameters": []
        },
        "getCountryCache": {
            "parameters": []
        },
        "getCountries": {
            "parameters": []
        },
        "getSellCountries": {
            "parameters": []
        },
        "getPaymentMethods": {
            "parameters": [
                {
                    "required": true
                },
                {
                    "required": false
                }
            ]
        },
        "getPaymentMethodsForCrypto": {
            "parameters": [
                {
                    "required": true
                },
                {
                    "required": false
                },
                {
                    "required": true
                },
                {
                    "required": false
                }
            ]
        },
        "getSellPaymentMethodsForCrypto": {
            "parameters": [
                {
                    "required": true
                },
                {
                    "required": false
                },
                {
                    "required": true
                },
                {
                    "required": false
                }
            ]
        },
        "getSellPaymentMethods": {
            "parameters": [
                {
                    "required": true
                },
                {
                    "required": false
                }
            ]
        },
        "getPaymentMethod": {
            "parameters": [
                {
                    "required": true
                },
                {
                    "required": true
                },
                {
                    "required": true
                }
            ]
        },
        "getDefaultFiatCurrency": {
            "parameters": [
                {
                    "required": true
                },
                {
                    "required": true
                }
            ]
        },
        "getDefaultFiatCurrencySync": {
            "parameters": [
                {
                    "required": true
                },
                {
                    "required": true
                },
                {
                    "required": true
                },
                {
                    "required": true
                }
            ]
        },
        "getDefaultSellFiatCurrency": {
            "parameters": [
                {
                    "required": true
                },
                {
                    "required": true
                }
            ]
        },
        "getDefaultSellFiatCurrencySync": {
            "parameters": [
                {
                    "required": true
                },
                {
                    "required": true
                },
                {
                    "required": true
                },
                {
                    "required": true
                }
            ]
        },
        "getCryptoCurrencies": {
            "parameters": [
                {
                    "required": true
                },
                {
                    "required": true
                },
                {
                    "required": true
                },
                {
                    "required": false
                }
            ]
        },
        "getNetworkDetails": {
            "parameters": []
        },
        "getSellCryptoCurrencies": {
            "parameters": [
                {
                    "required": true
                },
                {
                    "required": true
                },
                {
                    "required": true
                },
                {
                    "required": false
                }
            ]
        },
        "getCryptoCurrenciesSync": {
            "parameters": []
        },
        "getSellCryptoCurrenciesSync": {
            "parameters": []
        },
        "getCryptoCurrency": {
            "parameters": [
                {
                    "required": true
                },
                {
                    "required": true
                }
            ]
        },
        "getFiatCurrencies": {
            "parameters": [
                {
                    "required": true
                },
                {
                    "required": true
                },
                {
                    "required": false
                }
            ]
        },
        "getSellFiatCurrencies": {
            "parameters": [
                {
                    "required": true
                },
                {
                    "required": true
                },
                {
                    "required": false
                }
            ]
        },
        "getFiatCurrency": {
            "parameters": [
                {
                    "required": true
                },
                {
                    "required": true
                }
            ]
        },
        "getProvidersWithoutAmountSync": {
            "parameters": []
        },
        "getLimits": {
            "parameters": [
                {
                    "required": true
                },
                {
                    "required": true
                },
                {
                    "required": true
                },
                {
                    "required": true
                },
                {
                    "required": false
                }
            ]
        },
        "getSellLimits": {
            "parameters": [
                {
                    "required": true
                },
                {
                    "required": true
                },
                {
                    "required": true
                },
                {
                    "required": true
                }
            ]
        },
        "getQuotes": {
            "parameters": [
                {
                    "required": true
                },
                {
                    "required": true
                },
                {
                    "required": true
                },
                {
                    "required": true
                },
                {
                    "required": true
                },
                {
                    "required": false
                },
                {
                    "required": false
                }
            ]
        },
        "getQuotesWithoutCache": {
            "parameters": [
                {
                    "required": true
                },
                {
                    "required": true
                },
                {
                    "required": true
                },
                {
                    "required": true
                },
                {
                    "required": true
                },
                {
                    "required": false
                },
                {
                    "required": false
                },
                {
                    "required": false
                }
            ]
        },
        "makeQuoteCall": {
            "parameters": [
                {
                    "required": true
                },
                {
                    "required": true
                },
                {
                    "required": true
                },
                {
                    "required": true
                },
                {
                    "required": true
                },
                {
                    "required": false
                },
                {
                    "required": false
                },
                {
                    "required": false
                }
            ]
        },
        "getAllQuotesFromApi": {
            "parameters": [
                {
                    "required": true
                },
                {
                    "required": true
                },
                {
                    "required": true
                },
                {
                    "required": true
                },
                {
                    "required": true
                },
                {
                    "required": false
                },
                {
                    "required": false
                },
                {
                    "required": false
                }
            ]
        },
        "getAllQuotesFromApiWithoutCache": {
            "parameters": [
                {
                    "required": true
                },
                {
                    "required": true
                },
                {
                    "required": true
                },
                {
                    "required": true
                },
                {
                    "required": true
                },
                {
                    "required": false
                },
                {
                    "required": false
                },
                {
                    "required": false
                }
            ]
        },
        "getExchangeRateFromAPI": {
            "parameters": []
        },
        "getRankingDataFromApi": {
            "parameters": []
        },
        "getSellCustomActions": {
            "parameters": [
                {
                    "required": true
                },
                {
                    "required": true
                },
                {
                    "required": true
                },
                {
                    "required": true
                },
                {
                    "required": true
                },
                {
                    "required": false
                }
            ]
        },
        "getCustomActions": {
            "parameters": [
                {
                    "required": true
                },
                {
                    "required": true
                },
                {
                    "required": true
                },
                {
                    "required": true
                },
                {
                    "required": true
                },
                {
                    "required": false
                }
            ]
        },
        "getSellQuotes": {
            "parameters": [
                {
                    "required": true
                },
                {
                    "required": true
                },
                {
                    "required": true
                },
                {
                    "required": true
                },
                {
                    "required": true
                },
                {
                    "required": false
                },
                {
                    "required": false
                }
            ]
        },
        "getQuickAmounts": {
            "parameters": []
        },
        "standardizeQuote": {
            "parameters": []
        },
        "standardizeSellQuote": {
            "parameters": []
        },
        "getExchangeRate": {
            "parameters": []
        },
        "getSellExchangeRate": {
            "parameters": []
        },
        "getParameters": {
            "parameters": []
        },
        "getCustomOrderIdSeparator": {
            "parameters": []
        },
        "generateRandomId": {
            "parameters": []
        },
        "generateCustomOrderId": {
            "parameters": []
        },
        "generateRandomString": {
            "parameters": []
        },
        "getBuyUrl": {
            "parameters": [
                {
                    "required": true
                },
                {
                    "required": true
                },
                {
                    "required": true
                },
                {
                    "required": true
                },
                {
                    "required": true
                },
                {
                    "required": true
                },
                {
                    "required": true
                }
            ]
        },
        "getSellUrl": {
            "parameters": [
                {
                    "required": true
                },
                {
                    "required": true
                },
                {
                    "required": true
                },
                {
                    "required": true
                },
                {
                    "required": true
                },
                {
                    "required": true
                },
                {
                    "required": true
                }
            ]
        },
        "getBuyWidgetInformation": {
            "parameters": []
        },
        "getSellWidgetInformation": {
            "parameters": []
        },
        "getFiatAmountFromCryptoAmount": {
            "parameters": []
        },
        "getRedirectionUrl": {
            "parameters": [
                {
                    "required": true
                }
            ]
        },
        "getAllFiatCurrencies": {
            "parameters": [
                {
                    "required": true
                },
                {
                    "required": false
                }
            ]
        },
        "getAllCryptoCurrencies": {
            "parameters": [
                {
                    "required": true
                },
                {
                    "required": false
                }
            ]
        },
        "getLight": {
            "parameters": [
                {
                    "required": true
                },
                {
                    "required": true
                },
                {
                    "required": false
                },
                {
                    "required": false
                },
                {
                    "required": false
                },
                {
                    "required": false
                },
                {
                    "required": false
                }
            ]
        }
    },
    "ReportsService": {},
    "Object": {}
};
