import { BuyWidgetInformation, Payment, Provider, ProviderBuyFeatureBrowserEnum } from '../API';
export default class BuyAction {
    readonly createWidget: (redirectUrl: string) => Promise<BuyWidgetInformation>;
    readonly browser: ProviderBuyFeatureBrowserEnum;
    private constructor();
    static build(createWidget: (browser: ProviderBuyFeatureBrowserEnum, redirectUrl: string) => Promise<BuyWidgetInformation>, provider: Provider, paymentMethod: Payment): BuyAction;
    private static transformRedirectUrl;
    private static getProviderCode;
}
